package org.eclipse.jdt.internal.compiler.env;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public interface IBinaryField extends IGenericField
{
    public abstract IBinaryAnnotation[] getAnnotations();
    
    public abstract IBinaryTypeAnnotation[] getTypeAnnotations();
    
    public abstract Constant getConstant();
    
    public abstract char[] getGenericSignature();
    
    public abstract char[] getName();
    
    public abstract long getTagBits();
    
    public abstract char[] getTypeName();
}
